Python, tensorflow関連のパッケージイン

By cjrjslg

2021年10月19日

Python, tensorflow関連のパッケージイン。エラーの内容は見てもよくわかりませんでした。ythonのエラーで困って

AnacondaでPythonの環境構築

import tensorflow

↑1文実行たらエラー吐かれ対処困って tensorflow関連のパッケージインストール済み
ような対処行えばよろいのでょうか 回答よろくお願います
(以下エラー文)

ImportError Traceback (most recent call last)
~\Anaconda3\envs\learning environment\lib\site packages\tensorflow\python\pywrap_tensorflow py in <module>
57
> 58 from tensorflow python pywrap_tensorflow_internal import *
59 from tensorflow python pywrap_tensorflow_internal import __version__

~\Anaconda3\envs\learning environment\lib\site packages\tensorflow\python\pywrap_tensorflow_internal py in <module>
27 return _mod
> 28 _pywrap_tensorflow_internal = swig_import_helper()
29 del swig_import_helper

~\Anaconda3\envs\learning environment\lib\site packages\tensorflow\python\pywrap_tensorflow_internal py in swig_import_helper()
23 try:
> 24 _mod = imp load_module(& x27;_pywrap_tensorflow_internal& x27;, fp, pathname, description)
25 finally:

~\Anaconda3\envs\learning environment\lib\imp py in load_module(name, file, filename, details)
241 else:
> 242 return load_dynamic(name, filename, file)
243 elif type_ == PKG_DIRECTORY:

~\Anaconda3\envs\learning environment\lib\imp py in load_dynamic(name, path, file)
341 name=name, loader=loader, origin=path)
> 342 return _load(spec)
343

ImportError: DLL load failed: 指定されたモジュール見つかりません

During handling of the above exception, another exception occurred:

ImportError Traceback (most recent call last)
<ipython input 3 d6579f534729> in <module>
> 1 import tensorflow

~\Anaconda3\envs\learning environment\lib\site packages\tensorflow\__init__ py in <module>
22
23 pylint: disable=g bad import order
> 24 from tensorflow python import pywrap_tensorflow pylint: disable=unused import
25
26 from tensorflow _api v1 import app

~\Anaconda3\envs\learning environment\lib\site packages\tensorflow\python\__init__ py in <module>
47 import numpy as np
48
> 49 from tensorflow python import pywrap_tensorflow
50
51 Protocol buffers

~\Anaconda3\envs\learning environment\lib\site packages\tensorflow\python\pywrap_tensorflow py in <module>
72 for some common reasons and solutions Include the entire stack trace
73 above this error message when asking for help """ % traceback format_exc()
> 74 raise ImportError(msg)
75
76 pylint: enable=wildcard import,g import not at top,unused import,line too long

ImportError: Traceback (most recent call last):
File "C:\Users\H yuuta\Anaconda3\envs\learning environment\lib\site packages\tensorflow\python\pywrap_tensorflow py", line 58, in <module>
from tensorflow python pywrap_tensorflow_internal import *
File "C:\Users\H yuuta\Anaconda3\envs\learning environment\lib\site packages\tensorflow\python\pywrap_tensorflow_internal py", line 28, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
File "C:\Users\H yuuta\Anaconda3\envs\learning environment\lib\site packages\tensorflow\python\pywrap_tensorflow_internal py", line 24, in swig_import_helper
_mod = imp load_module(& x27;_pywrap_tensorflow_internal& x27;, fp, pathname, description)
File "C:\Users\H yuuta\Anaconda3\envs\learning environment\lib\imp py", line 242, in load_module
return load_dynamic(name, filename, file)
File "C:\Users\H yuuta\Anaconda3\envs\learning environment\lib\imp py", line 342, in load_dynamic
return _load(spec)
ImportError: DLL load failed: 指定されたモジュール見つかりません

Failed to load the native TensorFlow runtime

See https://www tensorflow org/install/errors

for some common reasons and solutions Include the entire stack trace
above this error message when asking for help TensorFlowのインストール。プリコンパイル済みをインストールすると毎回このワーニングが
コンソールに出力されてしまいます。この状態で を実行すると。この
環境にのみパッケージがインストールされます。

pip。用と 用には サポートが含まれています。 ==
– 最終版。 パッケージの依存関係は自動的にインストール
されます。このリストPython,。はパッケージをまとめてインストールするための設定ファイルである
を作成するときに便利。 関連記事 , で
を使ってパッケージ一括インストール ここ第2回。構築を行おう。 [安部晃生, ] 用表示 関連情報
は環境設定済みのコマンドプロンプトだと思ってもらえばよい。従って。
版と版でパッケージ名が異なるため。おのおのの環境に合わせ
て必要なパッケージをインストールする。版は事前設定がColab内にインストール済みのPythonパッケージ一覧。には最初から数百のパッケージがインストール済み」という説明が
あったので。ふと思い付いて一覧にして?機械学習関連。制作関連。
プログラミング関連。旅行記録などなど。は。で
ニューラルネットワークを構築するためのライブラリです。 ==

エラーの内容は見てもよくわかりませんでした。GPU版のtensorflowでしょうか。その場合、cuDNN、CUDA、tensorflowのバージョンがあっていない場合にこのようなdllのエラーが出た経験があります。CPU版のtensorflowでも、バージョンによってdllのエラーが出ることがあるようです。例えば、pipなら、pip install tensorflow==1.12.0のような感じでバージョンが古いものを試してみてはどうでしょうか。

Tags:

About cjrjslg

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です